> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reqlick.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a list of links

> Retrieve document links for the authenticated workspace.



## OpenAPI

````yaml GET /documents/{id}/links
openapi: 3.0.0
info:
  title: Reqlick API
  version: 1.0.0
  description: Reqlick API Documentation
servers:
  - url: https://api.reqlick.com
security:
  - bearerAuth: []
tags:
  - name: Documents
    description: Documents management
  - name: Domains
    description: Domains management
  - name: GoogleAuth
    description: Google Authentication
  - name: Links
    description: Links management
  - name: Payments
    description: Payments management
  - name: QRCodes
    description: QR Codes management
  - name: Resources
    description: Resources management
  - name: Subscriptions
    description: Subscription management
  - name: Users
    description: User management and authentication
  - name: Workspaces
    description: Workspaces management
paths:
  /documents/{id}/links:
    get:
      tags:
        - Documents
      summary: Retrieve document links
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: Document ID
        - name: workspace
          in: query
          required: true
          schema:
            type: string
          description: Workspace URL
      responses:
        '200':
          description: Get document links information
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: Link ID
                      example: 1110580a82031111aaa01111
                    documentId:
                      type: string
                      description: Document ID associated with the link
                      example: 1110580a82031111aaa01111
                    url:
                      type: string
                      description: URL of the link
                    key:
                      type: string
                      description: Key of the link
                      example: try-reqlick
                    expiresAt:
                      type: string
                      format: date-time
                      description: Expiration date of the link
                    password:
                      type: string
                      description: Password for the link
                    proxy:
                      type: boolean
                      description: Indicates if the link is a proxy
                      example: false
                    isFile:
                      type: boolean
                      description: Indicates if the link is a file
                      example: true
                    isQR:
                      type: boolean
                      description: Indicates if the link is a QR code
                      example: false
                    title:
                      type: string
                      description: Title of the link
                      example: Instant File Sharing Link with Reqlick
                    description:
                      type: string
                      description: Description of the link
                      example: >-
                        Turn your files into shareable links and connect
                        effortlessly
                    image:
                      type: string
                      description: URL of the link's image
                      example: /_static/thumbnail.png
                    allowedEmails:
                      type: array
                      items:
                        type: string
                        description: List of allowed email addresses
                    createdAt:
                      type: string
                      format: date-time
                      description: Creation date of the link
                      example: '2024-07-16T10:48:19.492Z'
                    updatedAt:
                      type: string
                      format: date-time
                      description: Last update date of the link
                      example: '2024-07-16T10:48:19.492Z'
                    projectId:
                      type: string
                      description: Workspace ID associated with the link
                      example: 1110580a82031111aaa01111
                    isPublic:
                      type: boolean
                      description: Indicates if the link is public
                      example: true
                    isActive:
                      type: boolean
                      description: Indicates if the link is active
                      example: true
                    isArchived:
                      type: boolean
                      description: Indicates if the link is archived
                      example: false
                    isRecord:
                      type: boolean
                      description: Indicates if the link is a record
                      example: false
                    domain:
                      type: string
                      description: Domain of the link
                      example: rqk.sh
                    utm_source:
                      type: string
                      description: UTM source
                    utm_medium:
                      type: string
                      description: UTM medium
                    utm_campaign:
                      type: string
                      description: UTM campaign
                    utm_term:
                      type: string
                      description: UTM term
                    utm_content:
                      type: string
                      description: UTM content
                    ref:
                      type: string
                      description: Reference
                    ios:
                      type: string
                      description: iOS link
                    android:
                      type: string
                      description: Android link
                    tagId:
                      type: string
                      description: Tag ID
                    createdSessionId:
                      type: string
                      description: Created session ID
                    views:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                            description: View ID
                            example: 1110580a82031111aaa01111
                          linkId:
                            type: string
                            description: Link ID associated with the view
                            example: 1110580a82031111aaa01111
                          documentId:
                            type: string
                            description: Document ID associated with the view
                            example: 1110580a82031111aaa01111
                          projectId:
                            type: string
                            description: Workspace ID associated with the view
                            example: 1110580a82031111aaa01111
                          viewedAt:
                            type: string
                            format: date-time
                            description: Time when the document was viewed
                            example: '2024-01-16T10:48:34.528Z'
                          isBot:
                            type: boolean
                            description: Indicates if the viewer is a bot
                            example: false
                          qrcodeId:
                            type: string
                            description: QR code ID associated with the view
                    _count:
                      type: object
                      properties:
                        views:
                          type: integer
                          description: Number of views
                          example: 1100
        '401':
          description: Authentication Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Authentication Error
                  feedback:
                    type: string
                    example: You are unauthenticated!
        '500':
          description: Internal server error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````